## ros-one-turtlesim 0.10.3-0noble.20251023.0017

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(turtlesim)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation rosconsole roscpp roscpp_serialization roslib rostime std_msgs std_srvs)

find_package(Qt5Widgets REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_message_files(DIRECTORY msg FILES
                  Color.msg Pose.msg)
add_service_files(DIRECTORY srv FILES
                  Kill.srv
                  SetPen.srv
                  Spawn.srv
                  TeleportAbsolute.srv
                  TeleportRelative.srv)
generate_messages(DEPENDENCIES geometry_msgs std_msgs std_srvs)

catkin_package(CATKIN_DEPENDS geometry_msgs message_runtime std_msgs std_srvs)

set(turtlesim_node_SRCS
  src/turtlesim.cpp
  src/turtle.cpp
  src/turtle_frame.cpp
)
set(turtlesim_node_HDRS
  include/turtlesim/turtle_frame.h
)

qt5_wrap_cpp(turtlesim_node_MOCS ${turtlesim_node_HDRS})


add_executable(turtlesim_node ${turtlesim_node_SRCS} ${turtlesim_node_MOCS})
target_link_libraries(turtlesim_node Qt5::Widgets ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(turtlesim_node turtlesim_gencpp)

add_executable(turtle_teleop_key tutorials/teleop_turtle_key.cpp)
target_link_libraries(turtle_teleop_key ${catkin_LIBRARIES})
add_dependencies(turtle_teleop_key turtlesim_gencpp)
add_executable(draw_square tutorials/draw_square.cpp)
target_link_libraries(draw_square ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(draw_square turtlesim_gencpp)
add_executable(mimic tutorials/mimic.cpp)
target_link_libraries(mimic ${catkin_LIBRARIES})
add_dependencies(mimic turtlesim_gencpp)

install(TARGETS turtlesim_node turtle_teleop_key draw_square mimic
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY images
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING PATTERN "*.png" PATTERN "*.svg")

## ros-one-turtlesim 0.10.3-0jammy.20251023.0019

=== debian/changelog ===
ros-one-turtlesim (0.10.3-0jammy.20251023.0019) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 23 Oct 2025 00:19:06 +0000

ros-one-turtlesim (0.10.3-0jammy) jammy; urgency=high

  * use boost::placeholders::_1 instead of deprecated _1, and boost/bind/bind.hpp instead of bind.hpp (#142 <https://github.com/ros/ros_tutorials/issues/142>)
  * Update maintainers (#102 <https://github.com/ros/ros_tutorials/issues/102>)
  * Contributors: Lucas Walter, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-turtlesim (0.10.2-0jammy) jammy; urgency=high

  * add holonomic motion for turtlesim (#94 <https://github.com/ros/ros_tutorials/issues/94>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 31 Jul 2020 00:00:00 -0000

ros-one-turtlesim (0.10.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 22 May 2020 00:00:00 -0000

ros-one-turtlesim (0.10.0-0jammy) jammy; urgency=high

  * add noetic turtle (#85 <https://github.com/ros/ros_tutorials/issues/85>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-one-turtlesim (0.9.2-0jammy) jammy; urgency=high

  * explicitly state Boost dependencies manifests (#83 <https://github.com/ros/ros_tutorials/issues/83>)
  * backport Windows implemenation from eloquent. (#80 <https://github.com/ros/ros_tutorials/issues/80>)
  * background colour and private nodehandle (#70 <https://github.com/ros/ros_tutorials/issues/70>)
  * bump CMake minimum version to avoid CMP0048 warning (#81 <https://github.com/ros/ros_tutorials/issues/81>)
  * add shortcut to quit teleop (#59 <https://github.com/ros/ros_tutorials/issues/59>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 26 Feb 2020 00:00:00 -0000

ros-one-turtlesim (0.9.1-0jammy) jammy; urgency=high

  * change formula to avoid rounding with extreme input values (#51 <https://github.com/ros/ros_tutorials/issues/51>)
  * keep theta in the desired interval (#46 <https://github.com/ros/ros_tutorials/issues/46>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 Mar 2019 00:00:00 -0000

ros-one-turtlesim (0.9.0-0jammy) jammy; urgency=high

  * add melodic turtle (#41 <https://github.com/ros/ros_tutorials/issues/41>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Apr 2018 00:00:00 -0000

ros-one-turtlesim (0.8.1-0jammy) jammy; urgency=high

  * theta ranges from -pi to +pi (#31 <https://github.com/ros/ros_tutorials/issues/31>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-one-turtlesim (0.8.0-0jammy) jammy; urgency=high

  * add lunar turtle (#39 <https://github.com/ros/ros_tutorials/pull/39>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 10 Mar 2017 00:00:00 -0000

ros-one-turtlesim (0.7.1-0jammy) jammy; urgency=high

  * check pen_on_ when processing teleport requests (#35 <https://github.com/ros/ros_tutorials/pull/35>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-one-turtlesim (0.7.0-0jammy) jammy; urgency=high

  * add kinetic image
  * update to Qt5
  * fix size of Jade image to not exceed other images in order to not get positioned incorrectly
  * fix compiler warnings

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 18 Mar 2016 00:00:00 -0000

ros-one-turtlesim (0.6.1-0jammy) jammy; urgency=high

  * update the coordinate system in /spawn service for consistency (#25 <https://github.com/ros/ros_tutorials/pull/25>)

 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-one-turtlesim (0.6.0-0jammy) jammy; urgency=high

  * add jade turtle (#22 <https://github.com/ros/ros_tutorials/pull/22>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 May 2015 00:00:00 -0000

ros-one-turtlesim (0.5.3-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 May 2015 00:00:00 -0000

ros-one-turtlesim (0.5.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-one-turtlesim (0.5.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 08 May 2014 00:00:00 -0000

ros-one-turtlesim (0.5.0-0jammy) jammy; urgency=high

  * add indigo turtle
  * add disabled code to easily spawn all available turtle types

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-one-turtlesim (0.4.3-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-one-turtlesim (0.4.2-0jammy) jammy; urgency=high

  * fix missing install of hydro.svg (#12 <https://github.com/ros/ros_tutorials/issues/12>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 04 Oct 2013 00:00:00 -0000

ros-one-turtlesim (0.4.1-0jammy) jammy; urgency=high

  * add hydro image to turtlesim

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Sep 2013 00:00:00 -0000

ros-one-turtlesim (0.4.0-0jammy) jammy; urgency=high

  * Adding png version of hydro for wiki linking
  * TurtleApp accepts argc by reference
  * Restoring all the changes appropriate for Hydro

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-one-turtlesim (0.3.13-0jammy) jammy; urgency=high

  * TurtleApp accepts argc by reference
  * add hydro image to turtlesim
  * remove mainpage.dox

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-turtlesim (0.3.12-0jammy) jammy; urgency=high

  * reverting velocity -> twist for groovy
  * Revert "chaning command_velocity to cmd_vel" for groovy
    This reverts commit 96e5174d3a5c961b6e1195b90b4024e2858df010.
  * Revert "adding geometry_msgs dependency in package.xml and CMakelist" for groovy
    This reverts commit c7ac1155d70269909b55af03d13fe2e089d6215d.
  * Revert "alaphabetic order" for groovy
    This reverts commit f928765ed08773517c195b74c55231c0e4fcc5e5.

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 29 Mar 2013 00:00:00 -0000



=== debian/control ===
Source: ros-one-turtlesim
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-thread-dev, qt5-qmake, qtbase5-dev, ros-one-catkin, ros-one-geometry-msgs, ros-one-message-generation, ros-one-rosconsole, ros-one-roscpp, ros-one-roscpp-serialization, ros-one-roslib, ros-one-rostime, ros-one-std-msgs, ros-one-std-srvs
Homepage: http://www.ros.org/wiki/turtlesim
Standards-Version: 3.9.2

Package: ros-one-turtlesim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread-dev, libqt5core5a, libqt5gui5, ros-one-geometry-msgs, ros-one-message-runtime, ros-one-rosconsole, ros-one-roscpp, ros-one-roscpp-serialization, ros-one-roslib, ros-one-rostime, ros-one-std-msgs, ros-one-std-srvs
Description: turtlesim is a tool made for teaching ROS and ROS packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-turtlesim//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-turtlesim 0.10.3-0jammy.20260220.2118

=== debian/changelog ===
ros-one-turtlesim (0.10.3-0jammy.20260220.2118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 20 Feb 2026 21:18:43 +0000

## ros-one-turtlesim 0.10.3-0noble.20251023.0017

=== debian/changelog ===
ros-one-turtlesim (0.10.3-0noble.20251023.0017) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 23 Oct 2025 00:17:57 +0000

ros-one-turtlesim (0.10.3-0noble) noble; urgency=high

  * use boost::placeholders::_1 instead of deprecated _1, and boost/bind/bind.hpp instead of bind.hpp (#142 <https://github.com/ros/ros_tutorials/issues/142>)
  * Update maintainers (#102 <https://github.com/ros/ros_tutorials/issues/102>)
  * Contributors: Lucas Walter, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-turtlesim (0.10.2-0noble) noble; urgency=high

  * add holonomic motion for turtlesim (#94 <https://github.com/ros/ros_tutorials/issues/94>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 31 Jul 2020 00:00:00 -0000

ros-one-turtlesim (0.10.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 22 May 2020 00:00:00 -0000

ros-one-turtlesim (0.10.0-0noble) noble; urgency=high

  * add noetic turtle (#85 <https://github.com/ros/ros_tutorials/issues/85>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-one-turtlesim (0.9.2-0noble) noble; urgency=high

  * explicitly state Boost dependencies manifests (#83 <https://github.com/ros/ros_tutorials/issues/83>)
  * backport Windows implemenation from eloquent. (#80 <https://github.com/ros/ros_tutorials/issues/80>)
  * background colour and private nodehandle (#70 <https://github.com/ros/ros_tutorials/issues/70>)
  * bump CMake minimum version to avoid CMP0048 warning (#81 <https://github.com/ros/ros_tutorials/issues/81>)
  * add shortcut to quit teleop (#59 <https://github.com/ros/ros_tutorials/issues/59>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 26 Feb 2020 00:00:00 -0000

ros-one-turtlesim (0.9.1-0noble) noble; urgency=high

  * change formula to avoid rounding with extreme input values (#51 <https://github.com/ros/ros_tutorials/issues/51>)
  * keep theta in the desired interval (#46 <https://github.com/ros/ros_tutorials/issues/46>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 Mar 2019 00:00:00 -0000

ros-one-turtlesim (0.9.0-0noble) noble; urgency=high

  * add melodic turtle (#41 <https://github.com/ros/ros_tutorials/issues/41>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Apr 2018 00:00:00 -0000

ros-one-turtlesim (0.8.1-0noble) noble; urgency=high

  * theta ranges from -pi to +pi (#31 <https://github.com/ros/ros_tutorials/issues/31>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-one-turtlesim (0.8.0-0noble) noble; urgency=high

  * add lunar turtle (#39 <https://github.com/ros/ros_tutorials/pull/39>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 10 Mar 2017 00:00:00 -0000

ros-one-turtlesim (0.7.1-0noble) noble; urgency=high

  * check pen_on_ when processing teleport requests (#35 <https://github.com/ros/ros_tutorials/pull/35>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-one-turtlesim (0.7.0-0noble) noble; urgency=high

  * add kinetic image
  * update to Qt5
  * fix size of Jade image to not exceed other images in order to not get positioned incorrectly
  * fix compiler warnings

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 18 Mar 2016 00:00:00 -0000

ros-one-turtlesim (0.6.1-0noble) noble; urgency=high

  * update the coordinate system in /spawn service for consistency (#25 <https://github.com/ros/ros_tutorials/pull/25>)

 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-one-turtlesim (0.6.0-0noble) noble; urgency=high

  * add jade turtle (#22 <https://github.com/ros/ros_tutorials/pull/22>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 May 2015 00:00:00 -0000

ros-one-turtlesim (0.5.3-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 May 2015 00:00:00 -0000

ros-one-turtlesim (0.5.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-one-turtlesim (0.5.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 08 May 2014 00:00:00 -0000

ros-one-turtlesim (0.5.0-0noble) noble; urgency=high

  * add indigo turtle
  * add disabled code to easily spawn all available turtle types

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-one-turtlesim (0.4.3-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-one-turtlesim (0.4.2-0noble) noble; urgency=high

  * fix missing install of hydro.svg (#12 <https://github.com/ros/ros_tutorials/issues/12>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 04 Oct 2013 00:00:00 -0000

ros-one-turtlesim (0.4.1-0noble) noble; urgency=high

  * add hydro image to turtlesim

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Sep 2013 00:00:00 -0000

ros-one-turtlesim (0.4.0-0noble) noble; urgency=high

  * Adding png version of hydro for wiki linking
  * TurtleApp accepts argc by reference
  * Restoring all the changes appropriate for Hydro

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-one-turtlesim (0.3.13-0noble) noble; urgency=high

  * TurtleApp accepts argc by reference
  * add hydro image to turtlesim
  * remove mainpage.dox

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-turtlesim (0.3.12-0noble) noble; urgency=high

  * reverting velocity -> twist for groovy
  * Revert "chaning command_velocity to cmd_vel" for groovy
    This reverts commit 96e5174d3a5c961b6e1195b90b4024e2858df010.
  * Revert "adding geometry_msgs dependency in package.xml and CMakelist" for groovy
    This reverts commit c7ac1155d70269909b55af03d13fe2e089d6215d.
  * Revert "alaphabetic order" for groovy
    This reverts commit f928765ed08773517c195b74c55231c0e4fcc5e5.

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 29 Mar 2013 00:00:00 -0000



=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-one-turtlesim
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread-dev, libqt5core5a, libqt5gui5, ros-one-geometry-msgs, ros-one-message-runtime, ros-one-rosconsole, ros-one-roscpp, ros-one-roscpp-serialization, ros-one-roslib, ros-one-rostime, ros-one-std-msgs, ros-one-std-srvs
+Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread-dev, libqt5core5t64, libqt5gui5t64, ros-one-geometry-msgs, ros-one-message-runtime, ros-one-rosconsole, ros-one-roscpp, ros-one-roscpp-serialization, ros-one-roslib, ros-one-rostime, ros-one-std-msgs, ros-one-std-srvs
 Description: turtlesim is a tool made for teaching ROS and ROS packages.

## ros-one-turtlesim 0.10.3-0noble.20260220.2124

=== debian/changelog ===
ros-one-turtlesim (0.10.3-0noble.20260220.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 20 Feb 2026 21:24:56 +0000
